/*
 * Copyright 2013 Alex Kasko (alexkasko.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.alexkasko.unsafe.offheap;

/**
 * Basic interface for off-heap classes that support manual memory freeing.
 * Not freed memory will be released on {@link OffHeapMemory} (impl) instances garbage collection.
 *
 * @author alexkasko
 * Date: 3/5/13
 */
public interface OffHeapDisposable {
    /**
     * Frees allocated memory, may be called multiple times from any thread
     */
    void free();
}
